import { select, dispatch } from 'd3';

const tooltip = select('body')
  .append('div')
	.attr('id', 'tooltip')
  .attr('style', 'position: absolute; opacity: 0;')
  .style('background-color', 'white')
  .style('border', 'solid')
  .style('border-width', '2px')
  .style('border-radius', '5px')
  .style('padding', '10px')
	.style('font-family', 'Roboto condensed')
	.style('box-shadow', 'rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;')
	.style('cursor', 'default');

// Three function that change the tooltip when user hover / move / leave a cell
export const mouseover = (e, data) => {
  const tooltipContent = `Value: ${data.y}`;
  
  tooltip
    .html(tooltipContent)
    .style('opacity', 1);
};

export const mousemove = (e) => {
  let position = (e.pageX > ((innerWidth) / 2)) ? -120 : 20;
  tooltip
    .style('left', e.pageX + position + 'px')
    .style('top', e.pageY - 10 + 'px');
};

export const mouseleave = (e) => {
  tooltip.style('opacity', 0);
};
